textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/skip
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm skip
surfaceparm structural
surfaceparm trans
}

textures/urban_terror/corona
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror/corona.tga
            blendfunc gl_one gl_one
          }
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/metal
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/urban_terror2/metal.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/green_1.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}
}

models/mapobjects/br_flowers/green_2
{
	qer_editorimage models/mapobjects/br_flowers/green_2.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/green_2.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}
}

models/mapobjects/br_flowers/lilly_1
{
	qer_editorimage models/mapobjects/br_flowers/lilly_1.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/lilly_1.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/br_flowers/lilly_2
{
	qer_editorimage models/mapobjects/br_flowers/lilly_2.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/lilly_2.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/br_flowers/purpleflowers_3
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers_3.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/purpleflowers_3.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/br_flowers/yellowrose
{
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/yellowrose.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}
}

textures/cow7/fs_gate3a
{
	qer_editorimage textures/cow7/fs_gate3a.tga
    	surfaceparm trans
	cull none
      nopicmip
	{
		map textures/cow7/fs_gate3a.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cow7/fs_gate3c
{
        qer_editorimage textures/cow7/fs_gate3c.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/cow7/fs_gate3c.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cow7/fs_ladder03inner
{
        qer_editorimage textures/cow7/fs_ladder03inner.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/cow7/fs_ladder03inner.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity		
	}
}

textures/wetwired/ww-fence01
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/wetwired/ww-fence01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/trees/tree1/branch_t
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/trees/tree1/branch_t.tga 
   		alphafunc ge128  
   		blendfunc gl_src_alpha gl_one_minus_src_alpha 
   		depthwrite
	} 
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}


}

models/trees/tree2/branch_gold
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/trees/tree2/branch_gold.tga 
   		alphafunc ge128  
   		blendfunc gl_src_alpha gl_one_minus_src_alpha 
   		depthwrite
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}

}

models/trees/tree2/bark3_512
{

	{
	map models/trees/tree2/bark3_512.tga
	
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}
}

models/trees/ivy/ivy
{ 
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none  
	nopicmip
	deformvertexes wave 5 sin 0 .2 0 .3

	{ 
            map models/trees/ivy/ivy.tga 
   		alphafunc ge128
 	} 
	{
		map $lightmap 
		blendfunc filter
		depthfunc equal
		rgbgen vertex 
	}

}

models/mapobjects/flowers/flower4
{ 
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none  
	nopicmip
	

	{ 
            map models/mapobjects/flowers/flower4.tga 
   	    alphafunc ge128  
 
	} 
	{
		map $lightmap 
		blendfunc filter
		depthfunc equal
	}

}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
        
	
        
        
        
     
}

textures/cow7/fs_rain2c
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/cow7/fs_rain2c.tga
                tcmod scroll 0 -1      
                blendfunc gl_one gl_one
        }
}

textures/cow/c2nite
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .3 .3 .7 70 65 78
	q3map_surfacelight 60
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/c2nite 256 -
}

textures/mc-uptown/uptown-glass
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
}

textures/mc-uptown/uptown-glass-yel
{
	qer_editorimage textures/mc-uptown/tinfx-yel.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/mc-uptown/tinfx-yel.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
}

textures/mc-uptown/uptown-watercaulk
{
	qer_editorimage textures/mc-uptown/uptown-watercaulk.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/mc-uptown/corona-yel
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mc-uptown/corona-yel.tga
            blendfunc gl_one gl_one
          }
}

models/mapobjects/patio/agewashedwall
{
	cull none
	nopicmip 

	{
		map models/mapobjects/patio/agewashedwall.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
      		rgbgen vertex
   	}
}

models/mapobjects/patio/marblegreen1_256
{
	
	nopicmip 

	{
		map models/mapobjects/patio/marblegreen1_256.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
      		rgbgen vertex
   	}
}

textures/jeffj/gray_wood_rc1
{
	
	nopicmip 

	{
		map textures/jeffj/gray_wood_rc1.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
 
   	}
}

textures/jeffj/stonewaremotif
{
	cull none
	nopicmip 

	{
		map textures/jeffj/stonewaremotif.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
      		rgbgen vertex
   	}
}

textures/jeffj/marthagreenrustic
{
	cull none
	nopicmip 

	{
		map textures/jeffj/marthagreenrustic.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
      		rgbgen vertex
   	}
}

textures/jeffj/bluestuff
{
	cull none
	nopicmip 

	{
		map textures/jeffj/bluestuff.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
      		rgbgen vertex
   	}
}

textures/jeffj/ivorybrown
{
	cull none
	nopicmip 

	{
		map textures/jeffj/ivorybrown.tga
	}

	{
          	map $lightmap
      		blendfunc gl_dst_color gl_zero
      		rgbgen vertex
   	}
}

textures/urban_terror3/wu_railing
{
        qer_editorimage textures/urban_terror3/wu_railing.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/urban_terror3/wu_railing.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror3/wu_railing_white
{
        qer_editorimage textures/urban_terror3/wu_railing_white.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/urban_terror3/wu_railing_white.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror3/outside_light
{
	qer_editorimage textures/urban_terror3/outside_light.tga
	q3map_lightimage textures/urban_terror3/outside_light.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}

	{	
		map textures/urban_terror3/outside_light.tga
		blendfunc gl_one gl_one
	}
}

textures/battlecow_details/small_light_01
{
	q3map_surfacelight 50000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/battlecow_details/small_light_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/urban_terror4/whitelight
{
	q3map_surfacelight 15000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/urban_terror4/whitelight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/urban_terror/glight1
{
	q3map_surfacelight 15000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/urban_terror/glight1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/urban_terror/f_light1
{
	q3map_surfacelight 15000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/urban_terror/f_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/evil_1/light_x_trm
{
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/evil_1/light_x_trm.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

